# Created by pyp2rpm-3.3.2
%global pypi_name twine

%bcond_without tests
%bcond_with internet

Name:           python-%{pypi_name}
Version:        6.1.0
Release:        %mkrel 2
Summary:        Collection of utilities for publishing packages on PyPI
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/twine/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Twine is a utility for publishing Python packages on PyPI.

It provides build system independent uploads of source and binary distribution
artifacts for both new and existing projects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Twine is a utility for publishing Python packages on PyPI.

It provides build system independent uploads of source and binary distribution
artifacts for both new and existing projects.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{without internet}
sed -i '/--disable-socket/d' pytest.ini
%endif

%install
%pyproject_install
%pyproject_save_files twine

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst AUTHORS
%{_bindir}/twine


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 6.1.0-2.mga10
+ Revision: 2239234
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 6.1.0-1.mga10
+ Revision: 2155790
- new version 6.1.0
- rebuild for python3.13

* Tue Jul 02 2024 papoteur <papoteur> 5.0.0-1.mga10
+ Revision: 2078941
- new version 5.0.0

* Tue Dec 26 2023 wally <wally> 4.0.2-1.mga10
+ Revision: 2021573
- new version 4.0.2
- use %%pyproject_buildrequires

* Wed Aug 24 2022 papoteur <papoteur> 4.0.1-2.mga9
+ Revision: 1880013
- Fix requirements on requests-toolbelt

* Sat Aug 20 2022 papoteur <papoteur> 4.0.1-1.mga9
+ Revision: 1878910
- new 4.0.1

* Wed Mar 30 2022 umeabot <umeabot> 3.8.0-2.mga9
+ Revision: 1833840
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 joequant <joequant> 3.8.0-1.mga9
+ Revision: 1781389
- update to python 3.10
- update
- update to 3.8.0 / python 3.10

* Sun Mar 21 2021 joequant <joequant> 3.4.1-2.mga9
+ Revision: 1707081
- add patch
- update requirements

* Sun Mar 21 2021 joequant <joequant> 3.4.1-1.mga9
+ Revision: 1706777
- update to 3.4.1 / python 3.9

* Thu Mar 04 2021 guillomovitch <guillomovitch> 3.3.0-2.mga9
+ Revision: 1698152
- fix automatic dependencies

* Mon Mar 01 2021 guillomovitch <guillomovitch> 3.3.0-1.mga9
+ Revision: 1695250
- new version 3.3.0

* Mon Nov 02 2020 akien <akien> 3.2.0-2.mga8
+ Revision: 1641832
- Remove doc package, so we can drop python-releases

* Fri Jul 03 2020 shlomif <shlomif> 3.2.0-1.mga8
+ Revision: 1601708
- New version 3.2.0

* Sun Mar 29 2020 wally <wally> 3.1.1-1.mga8
+ Revision: 1562160
- new version 3.1.1

* Sun Feb 16 2020 umeabot <umeabot> 1.13.0-3.mga8
+ Revision: 1534004
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 1.13.0-2.mga8
+ Revision: 1446546
- rebuild for python3.8

* Fri Jul 19 2019 shlomif <shlomif> 1.13.0-1.mga8
+ Revision: 1422947
- add BRs
- pyp2rpm

